Bug 961496 - Documentation states that environment variables are relative, while they are not
Documentation states that environment variables are relative, while they are not
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 14:03 EDT by Patrick Uiterwijk
Modified: 2015-05-14 22:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 961558 (view as bug list)
Environment:
Last Closed: 2013-06-11 00:02:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Uiterwijk 2013-05-09 14:03:01 EDT
Description of problem:
The page https://www.openshift.com/page/openshift-environment-variables mentions that "All of these directories (except `OPENSHIFT_TMP_DIR`) are relative to your `$OPENSHIFT_HOMEDIR`.", but when I use the environment variable in a script, the actual value of $OPENSHIFT_DATA_DIR is "/var/lib/openshift/518be0034382ecab39000234/app-root/data/".
Comment 1 Bilhar 2013-05-09 20:06:41 EDT
This link points to OpenShift website, which is NOT maintained by the documentation team. However, the information about Environment Variables is also duplicated in the User Guide here: 
https://url.corp.redhat.com/aa2905b

So, BZ961558 has been created for the docs User Guide, but I'll reassign this bug to Clayton to look into the info on the website.
Comment 2 Yujie Zhang 2013-06-06 01:35:43 EDT
Checked the user guide, the envrionment variable description and table have been corrected, so verify this bug.

Note You need to log in before you can comment on or make changes to this bug.